Name: 		gstreamer-player
Version: 	0.4.1
Release: 	1
Summary: 	GStreamer Streaming media framework player.

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source: 	gst-player-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

Requires: 	libxml2
Requires: 	gtk2
Requires: 	glib2
Requires:	GConf2
Requires:	libgnomeui
Requires:	libglade2
Requires:	gstreamer >= 0.4.1
Requires:	gstreamer-GConf

# useful plug-ins
Requires:	gstreamer-colorspace
Requires:	gstreamer-avi
Requires:	gstreamer-mpeg
Requires:	gstreamer-mad
Requires:	gstreamer-vorbis
Requires:	gstreamer-oss
Requires:	gstreamer-xvideosink
Requires:	gstreamer-gnomevfs
Requires:	gstreamer-audio-effects

BuildRequires: 	gtk2-devel
BuildRequires: 	glib2-devel
BuildRequires:	gstreamer-devel >= 0.4.1
BuildRequires:	gstreamer-plugins-devel >= 0.4.1
BuildRequires:	libgnomeui-devel
BuildRequires:	libglade2-devel
BuildRequires:	nautilus2-devel
BuildRequires:	gail-devel
BuildRequires:	gstreamer-GConf
# until libxml2-devel requires zlib-devel, we need to do this
BuildRequires:  zlib-devel
BuildRequires:	gettext

%description
This package contains the GStreamer media player and libgstplay, a simple
GStreamer playback wrapper library.

%package -n gstreamer-player-devel
Summary:        GStreamer libgstplay development files.
Group:          Development/Libraries
Requires:       gstreamer-player = %{version}

%description -n gstreamer-player-devel
GStreamer libgstplay development libraries and headers.

%package -n gstreamer-player-nautilus
Summary:        GStreamer nautilus view.
Group:          Libraries/Multimedia
Requires:       gstreamer-player = %{version}
Requires:	nautilus2
Requires:	gail

%description -n gstreamer-player-nautilus
GStreamer nautilus view for media files.

%prep
%setup -n gst-player-%{version}
%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
## not doing the libtoolize thing because we don't really need it
## note that we have configure.in because of intltoolize needing it
## and thus libtoolize gets triggered
## %{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force} ; \
./configure \
  --prefix=%{_prefix} \
  --exec-prefix=%{_exec_prefix} \
  --bindir=%{_bindir} \
  --sbindir=%{_sbindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --libexecdir=%{_libexecdir} \
  --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --enable-debug \
  --with-configdir=/etc/gstreamer \
  --disable-tests --disable-examples --disable-debug-color \
  --enable-docs-build

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
else
  make
fi

%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gst-player.schemas > /dev/null
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_bindir}/gst-player
%{_libdir}/*.so.*
%{_sysconfdir}/gconf/schemas/gst-player.schemas
# %{_mandir}/man1/gstmediaplay.*
%{_datadir}/applications/gst-player.desktop
%{_datadir}/gst-player/ui/*.png
%{_datadir}/gst-player/ui/*.glade
%{_datadir}/pixmaps/gst-player-48.png
%{_datadir}/application-registry/gst-player.applications
%{_datadir}/mime-info/gst-player.keys
%{_datadir}/locale/*/*/*

%files -n gstreamer-player-devel
%defattr(-, root, root)
%{_libdir}/*.so
#%{_libdir}/*.a
%{_libdir}/pkgconfig/gstreamer-player.pc
%{_includedir}/gst/gst-player-%{version}/play/*.h
%{_includedir}/gst-player-%{version}/gst/*.h

%files -n gstreamer-player-nautilus
%defattr(-, root, root)
%{_libdir}/bonobo/servers/*
%{_bindir}/gst-player-view
%{_bindir}/gst-player-control
%{_datadir}/gnome-2.0/ui/gst-player-view-ui.xml

%changelog
* Fri Sep 20 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added gstreamer-plugins-devel buildrequires (for gstreamer-libs.pc)
- added libglade deps
- added gstreamer-GConf deps
- added nautilus2 deps
- added gail deps
- split out packages to main, devel, and nautilus

* Sat Sep 14 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved libgstplay to prefix/lib

* Thu Aug 27 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added media-player icon 
- Added Nautilus mime type files
- Added Nautilus view files

* Mon Aug 09 2002 Steve Baker <stevebaker_org@yahoo.co.uk>
- remove pixmaps dir and added ui dir

* Mon Jul 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- comment out the bonobo and nautilus stuff until it works properly

* Sun Jul 07 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added the needed plugins as Requirements, apt and RC will want this

* Sat Jun 29 2002 Christian Schaller <Uraeus@linuxrising.org>
- Updated with latest changes

* Wed May 15 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Added Nautilus view and i18n stuff

* Fri May 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- re-added new pixmaps
- went back to %configure, feels nicer

* Tue Feb 12 2002 Benjamin Otte <in7y118@public.uni-hamburg.de>
- removed pixmaps, they are statically linked now

* Tue Feb 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- changed location of pixmaps

* Sun Feb 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from other spec file
